Package org.eclipse.rdf4j.query.algebra.evaluation.impl

## Interface QueryEvaluationContext

- All Known Implementing Classes:
    `ArrayBindingBasedQueryEvaluationContext`, `QueryEvaluationContext.Minimal`

      public interface QueryEvaluationContext

  A QueryEvaluationContext stores values and methods that are valid throughout the lifetime of a query execution.

  A classic case is the case of NOW() evaluation to the same instant for all invocations of that function in one query evaluation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `QueryEvaluationContext.Minimal` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default BiConsumer<Value,​MutableBindingSet>` | `addBinding​(String variableName)` |
    `default MutableBindingSet` | `createBindingSet()` |
    `default MutableBindingSet` | `createBindingSet​(BindingSet bindings)` |
    `default Function<BindingSet,​Binding>` | `getBinding​(String variableName)` |
    `Dataset` | `getDataset()` |
    `Literal` | `getNow()` |
    `default Function<BindingSet,​Value>` | `getValue​(String variableName)` |
    `default Predicate<BindingSet>` | `hasBinding​(String variableName)` |
    `default BiConsumer<Value,​MutableBindingSet>` | `setBinding​(String variableName)` |

- - ### Method Detail

    - #### getNow

          Literal getNow()

      Returns:
        the shared now;

    - #### getDataset

          Dataset getDataset()

      Returns:
        The dataset that this query is operation on.

    - #### createBindingSet

          default MutableBindingSet createBindingSet()

    - #### hasBinding

          default Predicate<BindingSet> hasBinding​(String variableName)

    - #### getBinding

          default Function<BindingSet,​Binding> getBinding​(String variableName)

    - #### getValue

          default Function<BindingSet,​Value> getValue​(String variableName)

    - #### setBinding

          default BiConsumer<Value,​MutableBindingSet> setBinding​(String variableName)

    - #### addBinding

          default BiConsumer<Value,​MutableBindingSet> addBinding​(String variableName)

    - #### createBindingSet

          default MutableBindingSet createBindingSet​(BindingSet bindings)